Subject: Re: [RFC] I2C: fsl-i2c: make device probing configurable via FDT

From: Timur Tabi <[email-masked]>
Date: Wed, 16 Jul 2008 10:01:23 -0500

Jon Smirl wrote:

> Probing an i2c bus does not necessarily come to a good conclusion. The
> probes for some chips can alter the states in others. People have
> accidentally changed voltage settings and fried CPU chips. The process
> is not well defined.

I agree.  We should not be implementing any feature that encourages I2C bus
probing.

-- 
Timur Tabi
Linux kernel developer at Freescale